Subject: Re: Another problem with DLL's
From: [email-masked] ("Valery Fine")

21 Mar 1997 14:09:45 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Comments: Authenticated sender is <[email-masked]>
Original-To: John Cerney <[email-masked]>
Original-CC: [email-masked]
X-Confirm-Reading-To: "Valery Fine" <[email-masked]>
X-pmrqc: 1
X-mailer: Pegasus Mail for Windows (v2.23)
Original-Sender: [email-masked]

On 20 Mar 97 at 13:17, John Cerney wrote:

> 
> >I've got a problem with DLL's...
> >
> >Folowing the instruccions of the home page of Cygnus, everything
> >works OK when I link the DLL with my executable but... if you try
> >to load the library indirectly via LoadLibrary(), it returns an
> >HRESULT of 0
> >
> >Someone knows how to solve this or is just a bug?
> 
> I'm not sure what is wrong with your code, but I know this does
> work. Here is a simple example of loading a DLL at runtime using
> LoadLibraryEx calls. This compiles and links fine on both win95 and
> winNT.

   Hello John!

   Just one question. Did you try to compile your MAIN with VC++ but 
DLL with gnu-win32 ? Does it work ?
=================================================================
Dr. Valery Fine                  Telex : 911621 dubna su
    -----------
LCTA/Joint Inst.for NuclearRes   Phone : +7 09621 6 40 80
141980 Dubna, Moscow region      Fax   : +7 09621 6 51 45
Russia                           mailto:[email-masked]
                                 mailto:[email-masked]
Dr. Valeri Faine
    ------------                 Phone: +41 22 767 6468
CERN                             FAX  : +41 22 782 2601
CH-1211 Geneva, 23               mailto:[email-masked] 
Switzerland                      http://nicewww.cern.ch/~fine
                                 
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".